Name:           perl-HTTP-Entity-Parser
Version:        0.21
Release:        2%{?dist}
Summary:        PSGI compliant HTTP Entity Parser
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Entity-Parser
Source0:        https://cpan.metacpan.org/modules/by-module/HTTP/HTTP-Entity-Parser-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
# Module
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(HTTP::Message) >= 6
BuildRequires:  perl(HTTP::MultiPartParser)
BuildRequires:  perl(JSON::MaybeXS) >= 1.003007
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Stream::Buffered)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(WWW::Form::UrlEncoded) >= 0.23
# Test Suite
BuildRequires:  perl(base)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Hash::MultiValue)
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(utf8)
# Dependencies
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(HTTP::Message) >= 6

%description
HTTP::Entity::Parser is a PSGI-compliant HTTP Entity parser. This module
also is compatible with HTTP::Body. Unlike HTTP::Body, HTTP::Entity::Parser
reads HTTP entities from PSGI's environment $env->{'psgi.input'} and parses
it. This module supports application/x-www-form-urlencoded, multipart/form-
data and application/json.

%prep
%setup -q -n HTTP-Entity-Parser-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes README.md eg/
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/HTTP::Entity::Parser.3*
%{_mandir}/man3/HTTP::Entity::Parser::JSON.3*
%{_mandir}/man3/HTTP::Entity::Parser::MultiPart.3*
%{_mandir}/man3/HTTP::Entity::Parser::OctetStream.3*
%{_mandir}/man3/HTTP::Entity::Parser::UrlEncoded.3*

%changelog
* Wed Nov 13 2019 Paul Howarth <paul@city-fan.org> - 0.21-2
- Tweak for EPEL-8 build
  - Use author-independent source URL
  - Classify buildreqs by usage
  - Fix permissions verbosely
  - Make %%files list more explicit

* Sun Mar 04 2018 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.21-1
- Update to 0.21.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 23 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.20-1
- Update to 0.20.

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.19-2
- Perl 5.26 rebuild

* Thu Feb 09 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.19-1
- Upstream update.

* Thu Nov 03 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.18-2
- Reflect feedback from review.

* Fri Oct 07 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.18-1
- Initial Fedora package.
